# Uses of Class
nu.xom.Attribute

Packages that use Attribute
Package
Description
nu.xom
`nu.xom` is the core package of XOM that contains all the basic classes representing the different kinds of nodes: elements, attributes, comments, text nodes, and so forth.
nu.xom.converters
`nu.xom.converters` contains classes that convert XOM documents to other models such as SAX and DOM.
nu.xom.tests
`nu.xom.tests` contains the JUnit based test suite for XOM.

## Uses of Attribute in nu.xom

Methods in nu.xom that return Attribute
Modifier and Type
Method
Description
`Attribute`
Attribute.`copy()`
Creates a deep copy of this attribute that is not attached to an element.
`final Attribute`
Element.`getAttribute(int index)`
Selects an attribute by index.
`final Attribute`
Element.`getAttribute(String name)`
Returns the attribute with the specified name in no namespace, or null if this element does not have an attribute with that name in no namespace.
`final Attribute`
Element.`getAttribute(String localName, String namespaceURI)`
Returns the attribute with the specified name and namespace URI, or null if this element does not have an attribute with that name in that namespace.
`Attribute`
Element.`removeAttribute(Attribute attribute)`
Removes an attribute from this element.
Methods in nu.xom with parameters of type Attribute
Modifier and Type
Method
Description
`void`
Element.`addAttribute(Attribute attribute)`
Adds an attribute to this element, replacing any existing attribute with the same local name and namespace URI.
`Attribute`
Element.`removeAttribute(Attribute attribute)`
Removes an attribute from this element.
`protected void`
Serializer.`write(Attribute attribute)`
Writes an attribute in the form `name="value"`.
Constructors in nu.xom with parameters of type Attribute
Modifier
Constructor
Description
``
`Attribute(Attribute attribute)`
Creates a copy of the specified attribute.

## Uses of Attribute in nu.xom.converters

Methods in nu.xom.converters that return Attribute
Modifier and Type
Method
Description
`static Attribute`
DOMConverter.`convert(Attr attribute)`
Translates a DOM `org.w3c.dom.Attr` object into an equivalent `nu.xom.Attribute` object.

## Uses of Attribute in nu.xom.tests

Methods in nu.xom.tests with parameters of type Attribute
Modifier and Type
Method
Description
`static void`
XOMTestCase.`assertEquals(String message, Attribute expected, Attribute actual)`
Asserts that two attribute nodes are equal.
`static void`
XOMTestCase.`assertEquals(Attribute expected, Attribute actual)`
Asserts that two attribute nodes are equal.